Skip to main content

Get Aggregator Pooled Storage Usage

This API can be used to obtain pooled storage data for the Aggregator for the given usage month. Each Sub MSP has its pooled storage, the Aggregator will also have its pooled storage among direct accounts. All dates in usage API refer to UTC time zone. Usage shown is the peak usage in the given usage month.

Query Parameters
  • usageMonth date required

    The month for which usage is returned. Time zone is UTC. Format is "YYYY-MM-DD".

  • subMspId string

    Sub MSP ID. Supply this parameter to retrieve usage for accounts under certain Sub MSP or direct accounts under Aggregator.

  • sort string

    Sort parameter. Schema is order:fieldName. If not provided, default asc:subMspName.

  • pageNumber integer

    Pagination parameter. If not provided, default 0.

  • pageSize integer

    Possible values: >= 1 and <= 1000

    Pagination parameter. If not provided, default 100.

Responses

Success


Schema
  • data object[]
  • usageMonth string

    Calendar month for which usage is returned

  • subMspId uuid

    Sub MSP ID in Commvault

  • subMspName string

    Sub MSP name in Commvault

  • skuId string

    Service sku ID

  • consumedQuantity number

    Peak usage quantity in usage month. This quantity is using measurement of our billing unit

  • entitledQuantity number

    Pre-commited quantity in usage month

  • overageQuantity number

    Quantity used more than entitled quantity in usage month

  • billableQuantity number

    Quantity that will be charged in usage month

  • unitPrice number

    Price for a single unit

  • unitQuantity number

    Service unit quantity

  • unit string

    Service unit

  • currency string

    Billing currency

  • cost number

    Cost

  • metadata object
  • filter string
  • sort string
  • pagination object
  • pageNumber integer
  • pageSize integer
  • totalRecords integer
Loading...